Get
/api/v1/Authoring/data-sources/{id}
Returns information about a specified data source
Path parameters
id
integer (int32) Required
Id of the data source
Responses
200
OK
object
name
string
The data source name
referenceKey
string
The data source reference key
description
string | null
The data source description
environment
object (Configuration.Api.Models.v1.Common.KeyValue)
connection
object (Configuration.Api.Models.v1.DataSourceConnectionGet)
engine
object (Configuration.Api.Models.v1.Common.KeyValue)
connectionType
string
Valid values[
"SqlServer",
"OLEDB",
"ODBC",
"Snowflake",
"PostgreSql",
"PythonScript",
"SnowflakeEngine",
"Databricks",
"DatabricksEngine"
]
dataSourceTemplate
object (Configuration.Api.Models.v1.Common.KeyValue)
dataAgentGroup
object (Configuration.Api.Models.v1.Common.KeyValue)
description
string | null
The connection description
configuration
The connection's configuration
OneOf
Common.DataSourceConnectionConfigurationDatabase
object (Common.DataSourceConnectionConfigurationDatabase)
connectionString
string
password
string | null
Common.DataSourceConnectionConfigurationScript
object (Common.DataSourceConnectionConfigurationScript)
preExecutionScript
string | null
postExecutionScript
string | null
parameters
Array of object (Common.DataSourceConnectionParsedParameter)
object
id
integer (int32)
value
string | null
hasSecretValue
boolean
clearValue
boolean
resetValue
boolean
Common.DataSourceConnectionConfigurationSnowflake
object (Common.DataSourceConnectionConfigurationSnowflake)
engineType
string
databaseName
string
Min length1
schemaName
string | null
previewRoleName
string | null
Common.DataSourceConnectionConfigurationDatabricks
object (Common.DataSourceConnectionConfigurationDatabricks)
engineType
string
databaseName
string
Min length1
schemaName
string | null
projects
Array of object (Configuration.Api.Models.v1.Common.KeyValue)
List of projects allowed to use the data source
object
permissions
Array of object (Common.DataSourcePermission)
List of permissions added to the data source
object
roleSet
string | null
roles
Array of string | null
string
Valid values[
"ViewMetadata",
"CreateTests",
"RunTests",
"ViewTestResults",
"RunProfileSets",
"ManagePermissions",
"ManageConnections",
"ManageDataProfiling",
"EditMetadata",
"ExportTestResults",
"ManageTrustScores",
"PreviewData"
]
owner
string
The data source owner
customFields
object
List of custom fields added to the data source
property*
schemaMetadata
object (Common.DataSourceSchemaMetadataGet)
dataSourceScript
string | null
schemaScript
string | null
tableScript
string | null
columnScript
string | null
schedule
object (Common.ScheduleInfo)
scheduleId
integer (int32) | null
scheduleRecurrence
string
Valid values[
"Daily",
"Weekly",
"Monthly"
]
monthlyRecurrence
string
Valid values[
"Absolute",
"Relative"
]
dateStart
string (date-time) | null
dateEnd
string (date-time) | null
monthlyAbsoluteRecurrenceInterval
integer (int32) | null
monthlyRelativeRecurrenceInterval
integer (int32) | null
weeklyRecurrenceInterval
integer (int32) | null
dailyRecurrenceInterval
integer (int32) | null
timeStart
string (date-time) | null
timeEnd
string (date-time) | null
timeOnce
string (date-time) | null
timeIntervalValue
integer (int32) | null
timeIntervalType
integer (int32)
daysOfWeek
string | null
dayOfMonth
integer (int32) | null
weekOfMonth
integer (int32) | null
dayOfWeek
integer (int32) | null
timeZoneKey
string | null
customMetadataSources
Array of object (Common.CustomMetadataProcessGet)
List of custom metadata sources in the data source
object
id
integer (int32) | null
ingestType
string
Valid values[
"File",
"Query"
]
sameAsPrimary
boolean
name
string | null
description
string | null
certifyCustomFieldValues
boolean
ignoreMissingMetadata
boolean
dataSourceActive
boolean
dataSourceSql
string | null
schemaActive
boolean
schemaSql
string | null
tableActive
boolean
tableSql
string | null
columnActive
boolean
columnSql
string | null
schedule
object (Common.ScheduleInfo)
scheduleId
integer (int32) | null
scheduleRecurrence
string
Valid values[
"Daily",
"Weekly",
"Monthly"
]
monthlyRecurrence
string
Valid values[
"Absolute",
"Relative"
]
dateStart
string (date-time) | null
dateEnd
string (date-time) | null
monthlyAbsoluteRecurrenceInterval
integer (int32) | null
monthlyRelativeRecurrenceInterval
integer (int32) | null
weeklyRecurrenceInterval
integer (int32) | null
dailyRecurrenceInterval
integer (int32) | null
timeStart
string (date-time) | null
timeEnd
string (date-time) | null
timeOnce
string (date-time) | null
timeIntervalValue
integer (int32) | null
timeIntervalType
integer (int32)
daysOfWeek
string | null
dayOfMonth
integer (int32) | null
weekOfMonth
integer (int32) | null
dayOfWeek
integer (int32) | null
timeZoneKey
string | null
profileSets
Array of object (Common.ProfileSetGet)
List of profile sets in the data source
object
id
integer (int32) | null
name
string | null
description
string | null
connectionRole
string
Valid values[
"Primary",
"DataProfile"
]
maxConcurrentQueries
integer (int32)
maxProfilesPerQuery
integer (int32)
purgeResults
boolean
purgeResultsAfterDays
integer (int32) | null
selectedProfileDefs
Array of string
string
metadataFilters
Array of object (Common.MetaObjectTechnicalProfileSetFilter)
object
field
string
Valid values[
"SchemaName",
"TableName",
"TableType",
"ColumnName",
"ColumnDataType",
"ColumnMappedType",
"ColumnNullable",
"ColumnIdentity",
"ColumnPrimaryKey",
"ColumnMaxLength",
"TableRecordCount"
]
customFilters
Array of object (Common.MetaObjectCustomProfileSetFilter)
object
objectType
string
Valid values[
"Table",
"Column",
"Schema"
]
field
string | null
schedule
object (Common.ScheduleInfo)
scheduleId
integer (int32) | null
scheduleRecurrence
string
Valid values[
"Daily",
"Weekly",
"Monthly"
]
monthlyRecurrence
string
Valid values[
"Absolute",
"Relative"
]
dateStart
string (date-time) | null
dateEnd
string (date-time) | null
monthlyAbsoluteRecurrenceInterval
integer (int32) | null
monthlyRelativeRecurrenceInterval
integer (int32) | null
weeklyRecurrenceInterval
integer (int32) | null
dailyRecurrenceInterval
integer (int32) | null
timeStart
string (date-time) | null
timeEnd
string (date-time) | null
timeOnce
string (date-time) | null
timeIntervalValue
integer (int32) | null
timeIntervalType
integer (int32)
daysOfWeek
string | null
dayOfMonth
integer (int32) | null
weekOfMonth
integer (int32) | null
dayOfWeek
integer (int32) | null
timeZoneKey
string | null
profileScriptKey
string | null
customProfiles
Array of object (Common.ProfileCustomGet)
List of custom profiles in the data source
object
id
integer (int32) | null
name
string | null
referenceKey
string | null
description
string | null
level
string
Valid values[
"Table",
"Column"
]
format
string
Valid values[
"NumericValue",
"StringValue",
"DateTimeValue",
"NumericArray",
"StringArray",
"DateTimeArray",
"PercentValue"
]
restrictToDataTypes
boolean
formulaType
string
Valid values[
"Query",
"NetCalculation",
"PythonCalculation"
]
fromScript
string | null
aggregateScript
string | null
groupingScript
string | null
netFormulaExpression
string | null
pythonFormulaExpression
string | null
conditionExpression
string | null
selectedDataTypes
Array of string
string
404
Not Found
object
error
string | null